Subject: [PATCH] ARM: OMAP3/4: consolidate cpuidle Makefile

From: [email-masked] (Kevin Hilman)
Date: Wed, 30 May 2012 15:11:13 -0700

Daniel Lezcano <[email-masked]> writes:

> On 05/30/2012 08:07 PM, Kevin Hilman wrote:
>> Daniel Lezcano <[email-masked]> writes:
>> 
>>> On 05/14/2012 06:42 AM, Rajendra Nayak wrote:
>>>> On Thursday 10 May 2012 03:32 PM, Daniel Lezcano wrote:
>>>>> The current Makefile compiles the cpuidle34xx.c and cpuidle44xx.c files
>>>>> even if the cpuidle option is not set in the kernel.
>>>>>
>>>>> This patch fixes this by creating a section in the Makefile where these
>>>>> files are compiled only if the CONFIG_CPU_IDLE option is set.
>>>>>
>>>>> This modification breaks an implicit dependency between CPU_IDLE and
>>>>> PM as
>>>>> they belong to the same block in the Makefile. This is fixed in the
>>>>> Kconfig
>>>>> by selecting explicitely PM is CPU_IDLE is set.
>>>>>
>>>>> The linux coding style recommend to use no-op functions in the headers
>>>>> when the subsystem is disabled instead of adding big section in C files.
>>>>
>>>> Looks good to me.
>>>> Reviewed-by: Rajendra Nayak <[email-masked]>
>>>
>>> Hi Kevin,
>>>
>>> I think I addressed all the points. Is it possible to consider this
>>> patch for inclusion ?
>>>
>> 
>> Yes.  I'll queue up as a cleanup for v3.6 with the reviewed-by from
>> Rajendra.
>
> Cool !
>

Sorry for the lag.  Since this one patch was a bit late for 3.5, I had
it on my "to look at later" pile while tracking down various regressions
introduced in 3.5.

Kevin